Install oniguruma "No definition for oregexp_initialize "


#1

when I run “gem install oniguruma”.

get the message "No definition for oregexp_initialize "

how to initialize oregexp?


#2

Mike M. wrote:

when I run “gem install oniguruma”.

get the message "No definition for oregexp_initialize "

how to initialize oregexp?

I think this means you need to install the oniguruma C library and its
headers. You don’t say what platform you’re on, so it’s hard to be more
specific about how to do that.

Alternatively, you could use Ruby 1.9.1 which has oniguruma built-in, as
well as other features to make working with encodings easier (one of the
main reasons for using Oniguruma previously).

alex